Skip to main content
GET
/
api
/
templates
List all templates
curl --request GET \
  --url https://your-instance.example.com/api/templates \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "data": [
    {
      "_id": "66a0a0b0c0d0e0f0a0b0c0d0",
      "name": "Demo follow-up",
      "template": "Hi {{firstName}}, thanks for the demo today!",
      "type": "message",
      "category": "sales-followup",
      "organizationId": "65a0e0e0e0e0e0e0e0e0e0e0",
      "createdBy": "65b1f0a2c3d4e5f6a7b8c9d0",
      "createdAt": "2026-04-12T08:00:00.000Z",
      "updatedAt": "2026-04-12T08:00:00.000Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
string

Response

Templates returned

success
enum<boolean>
required
Available options:
true
data
object[]
required